Subject: bug#28394: Emacs 24.5; desktop-save-mode does not save desktop settings anymore

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Sep 2017 22:22:04 +0300

> From: Dennis Mayr <[email-masked]>
> Date: Fri, 8 Sep 2017 13:37:44 -0300
> 
> I have 2 buffers open, with the desktop split vertically into 2 windows with C-x 3; I activated
> desktop-save-mode, Emacs asks me if I want to save the desktop when exiting, I say yes, Emacs saves
> desktop.
> I reopen Emacs, M-x desktop-read, only 1 buffer is loaded, the desktop isn't loaded the way I saved it. It used
> to work before. I deleted .emacs.d and reinstalled everything from scratch, problem persists.

Please try the latest Emacs 25.2, it's quite possible that this was
fixed there.  If the problem persists, please look in the *Messages*
buffer for any pertinent messages, after invoking desktop-read.

Thanks.